org.keycloak.storage.ldap.mappers.membership

## Class CommonLDAPGroupMapperConfig

- java.lang.Object
- - org.keycloak.storage.ldap.mappers.membership.CommonLDAPGroupMapperConfig

- Direct Known Subclasses:
    GroupMapperConfig, RoleMapperConfig

      public abstract class CommonLDAPGroupMapperConfig
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ComponentModel` | `mapperModel`
    `static String` | `MEMBEROF_LDAP_ATTRIBUTE`
    `static String` | `MEMBERSHIP_ATTRIBUTE_TYPE`
    `static String` | `MEMBERSHIP_LDAP_ATTRIBUTE`
    `static String` | `MEMBERSHIP_USER_LDAP_ATTRIBUTE`
    `static String` | `MODE`
    `static String` | `USER_ROLES_RETRIEVE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonLDAPGroupMapperConfig(ComponentModel mapperModel)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Set<String>` | `getConfigValues(String str)`
    `abstract String` | `getLDAPGroupNameLdapAttribute()`
    `abstract String` | `getLDAPGroupsDn()`
    `String` | `getMemberOfLdapAttribute()`
    `String` | `getMembershipLdapAttribute()`
    `MembershipType` | `getMembershipTypeLdapAttribute()`
    `String` | `getMembershipUserLdapAttribute(LDAPConfig ldapConfig)`
    `LDAPGroupMapperMode` | `getMode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MEMBERSHIP_LDAP_ATTRIBUTE

          public static final String MEMBERSHIP_LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### MEMBERSHIP_ATTRIBUTE_TYPE

          public static final String MEMBERSHIP_ATTRIBUTE_TYPE

      See Also:
        Constant Field Values

    - #### MEMBERSHIP_USER_LDAP_ATTRIBUTE

          public static final String MEMBERSHIP_USER_LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### MODE

          public static final String MODE

      See Also:
        Constant Field Values

    - #### USER_ROLES_RETRIEVE_STRATEGY

          public static final String USER_ROLES_RETRIEVE_STRATEGY

      See Also:
        Constant Field Values

    - #### MEMBEROF_LDAP_ATTRIBUTE

          public static final String MEMBEROF_LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### mapperModel

          protected final ComponentModel mapperModel

  - ### Constructor Detail

    - #### CommonLDAPGroupMapperConfig

          public CommonLDAPGroupMapperConfig(ComponentModel mapperModel)

  - ### Method Detail

    - #### getMembershipLdapAttribute

          public String getMembershipLdapAttribute()

    - #### getMembershipTypeLdapAttribute

          public MembershipType getMembershipTypeLdapAttribute()

    - #### getMembershipUserLdapAttribute

          public String getMembershipUserLdapAttribute(LDAPConfig ldapConfig)

    - #### getMemberOfLdapAttribute

          public String getMemberOfLdapAttribute()

    - #### getMode

          public LDAPGroupMapperMode getMode()

    - #### getConfigValues

          protected Set<String> getConfigValues(String str)

    - #### getLDAPGroupsDn

          public abstract String getLDAPGroupsDn()

    - #### getLDAPGroupNameLdapAttribute

          public abstract String getLDAPGroupNameLdapAttribute()

Copyright © 2021 JBoss by Red Hat. All rights reserved.